Subject: [scim] Fwd: New Version Notification for draft-hunt-scim-directory-00.txt

From: Phil Hunt <[email-masked]>
Date: Thu, 6 Sep 2012 09:53:59 -0700

As a follow-up to the Vancouver IETF meeting, I have put together an initial draft on a SCIM Directory for the WG. The directory spec does not alter the SCIM protocol, but imposes some additional requirements (MUST implements) that are not required in the core API spec and makes distinctions between a Directory implementation and an Application implementation of the core SCIM specifications.

The draft aso includes a proposed mapping for SCIM to LDAP support and defines what a SCIM Directory is.

Note that some items, such as searching without regards to object type have not been addressed here. Rather I think these should be addressed in the API spec itself.

Please note that this draft still needs much discussion. However it seemed time given that several have indicated to me personally they want to move forward on a draft. 

I will be away for the remainder of the month, but plan to catch up and collect feedback early next month.

Phil

@independentid
www.independentid.com
[email-masked]

Begin forwarded message:

> From: [email-masked]
> Subject: New Version Notification for draft-hunt-scim-directory-00.txt
> Date: 6 September, 2012 9:43:49 AM PDT
> To: [email-masked]
> 
> 
> A new version of I-D, draft-hunt-scim-directory-00.txt
> has been successfully submitted by Phil Hunt and posted to the
> IETF repository.
> 
> Filename:	 draft-hunt-scim-directory
> Revision:	 00
> Title:		 SCIM Directory Services
> Creation date:	 2012-09-06
> WG ID:		 Individual Submission
> Number of pages: 14
> URL:             http://www.ietf.org/internet-drafts/draft-hunt-scim-directory-00.txt
> Status:          http://datatracker.ietf.org/doc/draft-hunt-scim-directory
> Htmlized:        http://tools.ietf.org/html/draft-hunt-scim-directory-00
> 
> 
> Abstract:
>   This document describes a directory server that implements the SCIM
>   protocol and schema [, its capabilities and access control model],
>   and optional support for LDAPv3 protocol.  This specification extends
>   SCIM from provisioning to a general purpose access protocol in
>   support of data management applications (e.g. self-service systems)
>   and RESTful clients that need read/write access to a directory on the
>   Internet, between domains, or within a cloud.
> 
> 
> 
> 
> The IETF Secretariat
>